Rensei docs

The org's installed models with their grants, servings and project access (org member).

The org's installed models with their grants, servings and project access (org member). - Rensei REST API operation reference.

GET
/api/org/{orgId}/model-library/entries

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

Response Body

Live library entries, bindable credential metadata and the metered entitlement.

application/json
  1. response
entries*array<>
credentials*array<>
meteredEntitled*boolean
Example Request
curl -X GET 'https://app.rensei.ai/api/org/string/model-library/entries'
Example Response
{  "entries": [    {      "id": "string",      "revision": -9007199254740991,      "identity": {        "id": "string",        "author": "string",        "canonicalSlug": "string",        "displayName": "string",        "line": "string",        "versionMajor": -9007199254740991      },      "grant": {        "permittedAuthModes": [          "byok"        ],        "permittedEfforts": [          "string"        ],        "projectScope": "all"      },      "offered": {        "authModes": [          "byok"        ],        "efforts": [          "string"        ]      },      "servings": [        {          "id": "string",          "catalogId": "string",          "provider": "string",          "modelId": "string",          "displayName": "string",          "position": -9007199254740991,          "byokCredentialId": "string",          "authModes": [            "byok"          ],          "efforts": [            "string"          ],          "unavailable": true,          "withdrawn": true,          "compatibleCredentialIds": [            "string"          ]        }      ],      "projectAccess": [        {          "included": true,          "authModes": [            "byok"          ],          "efforts": [            "string"          ],          "disabled": true,          "projectId": "string"        }      ],      "availability": "ready",      "warnings": [        "grant_invalid"      ]    }  ],  "credentials": [    {      "id": "string",      "name": "string",      "providerType": "string"    }  ],  "meteredEntitled": true}